.search__input.field__input{width:100%;padding:7px 45px 8px 22px;font-size:16px;line-height:22px;display:flex;-webkit-appearance:none;appearance:none;box-sizing:border-box;}
.search-modal__form .field,.main-search-headinr .field{position:relative;max-width:100%;}
.search__button{position:absolute;right:16px;top:50%;transform:translateY(-50%);line-height:0;}
.search__button:focus,.reset__button:focus{background-color:rgb(var(--color-background));z-index:4;}
.search__button:not(:focus-visible):not(.focused),.reset__button:not(:focus-visible):not(.focused){box-shadow:inherit;background-color:inherit;}
.search__button:hover .icon,.reset__button:hover .icon{transform:scale(1.07);}
.search__button .icon{height:1.8rem;width:1.8rem;}
.reset__button .icon.icon-close{height:1.8rem;width:1.8rem;stroke-width:0.1rem;}
input::-webkit-search-decoration{-webkit-appearance:none;}